<?php
#----------------------------------------------------------#
# 告知
#----------------------------------------------------------#
function noticeR(){
global$disp,$Q,$SET;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# 告知
#--------------------------------------#
$sql=mysql_query("SELECT * FROM notice");
$n=0;$NOTICE=array();
while ($NOT=mysql_fetch_assoc($sql)){
	$NOTICE[$n]=$NOT[id];
	$n++;
}
arsort($NOTICE);
foreach($NOTICE as $no=>$time){
	$NOT=read_data('notice',$time);
	$html_notn='';
	if((time()-$NOT[id])<=86400*3){
		$html_notn="&nbsp;<img src='$SET[dir_img]/new.gif' alt='new icon' style='width:28px;height:11px;'>";
	}
	$html_notice.="<tr onclick=\"javascript:notice($NOT[id]);\" class=tn><td style=\"width:310px;padding:0 0 0 5px;\">".$NOT[title].$html_notn.'</td><td style="width:150px;">'.html_time($NOT[id],1).'</td></tr>';
	$html_notice.="<tr><td colspan=2 class=tnu id='$NOT[id]' style='display:none;padding:5 5px 5 5px;font-size:12px;'>$NOT[html]</td></tr>";
	$html_notice.="</tr>\n";
}

if($html_notice){
	$html_notice="<table>$html_notice</table>";
}else{
	$html_notice="表示するものはありません。";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#
$disp.=head();
$disp.=<<<EOF
<script type="text/javascript">
 <!--
  function notice(times){
	if(document.getElementById(times).style.display=='none'){
		document.getElementById(times).style.display='block';
	}else{
		document.getElementById(times).style.display='none';
	}
}
//-->
</script>
EOF;
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>告知</b><blockquote>
$html_notice
</blockquote>
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
?>